-- Globals
SprintSens.settings = {}
SprintSens.settings.controls = {}

SprintSens.settings.defaults = {
  rotationSpeed = 60,
  sprintRotationSpeed = 108,
}

-- Functions
function SprintSens.LoadConfig()
  local panelData = {
    type = "panel",
    name = "SprintSens",
    author = "Hoci Poci Li (Fix by @GalacticWar)",
    version = "2.1",
  }

  local optionsData = {
    {
      type = "slider",
      name = "Rotation Speed",
      tooltip = "Adjusts the sensitivity of the mouse when moving the camera.  (Default: 50)",
      min = 0,
      max = 100,
      getFunc = function()
        return SprintSens.config.rotationSpeed
      end,
      setFunc = function(value)
        SprintSens.config.rotationSpeed = value
        SprintSens.config.sprintRotationSpeed = value * 1.8
      end,
    },
  }

  local lam = LibAddonMenu2
  lam:RegisterAddonPanel("SprintSensOptions", panelData)
  lam:RegisterOptionControls("SprintSensOptions", optionsData)

  SprintSens.config = ZO_SavedVars:NewAccountWide("SprintSensSettings", 1, nil, SprintSens.settings.defaults)
end